This content requires the base game Armello on Steam in order to play.

All Reviews:
Positive (28) - 96% of the 28 user reviews for this game are positive.
Release Date:
Dec 20, 2017
Developer:
Publisher:

Sign in to add this item to your wishlist, follow it, or mark it as not interested

Downloadable Content

This content requires the base game Armello on Steam in order to play.

Buy Armello - Rivals Hero Pack

 

About This Content



Rival Armello's original Heroes in their quest for the throne by taking charge of the Great Clans' misfits with this Hero pack! Includes four new playable Heroes, one new Amulet, and four new Rings!

NEW HEROES

Hargrave, Thunder Earl

Once atop Rabbit nobility, a decorated general with a dangerous dash of senility.

Griotte, Butcher Baroness

A devilish, double-crossing rat, with double the personality.

Fang, The Exiled

The exiled heir to the Wolf Clan throne. Savage and scorned.

Yordana, The Devourer

A curious old crone, dedicated to the ways of the Wyld... whatever the cost.

NEW AMULET



Intimidate: A Hero Amulet befitting these new challengers.

FOUR NEW RINGS



Cat's Eye, Spinel, Chrysocolla, Taaffeite

System Requirements

Windows
Mac OS X
SteamOS + Linux
    Minimum:
    • OS: Windows 7 (64-Bit)
    • Processor: Dual-core 2.0 GHz
    • Memory: 2 GB RAM
    • Graphics: DirectX 10 class GPU with 512MB VRAM
    • DirectX: Version 9.0c
    Recommended:
    • OS: Windows 7 or later (64-bit)
    • Processor: Quad-core 2.5GHz
    • Memory: 4 GB RAM
    • Graphics: DirectX 11 class GPU with 1GB VRAM
    • DirectX: Version 9.0c
    Minimum:
    • OS: OSX 10.9 (64-Bit)
    • Processor: Dual-core 2.2GHz
    • Memory: 2 GB RAM
    • Graphics: OpenGL SM3.0 capable GPU with 1024MB VRAM
    Recommended:
    • OS: OSX 10.9 (64-Bit) or later
    • Processor: Quad-core 2.7Ghz
    • Memory: 4 GB RAM
    • Graphics: OpenGL SM3.0 capable GPU with 1536MB VRAM
    Minimum:
    • OS: Ubuntu 12.04 LTS (64-Bit)
    • Processor: Dual-core 2.2GHz
    • Memory: 2 GB RAM
    • Graphics: OpenGL SM3.0 capable GPU with 1GB VRAM. Graphics card that has vendor-made drivers installed.
    Recommended:
    • OS: Ubuntu 12.04 LTS (64-Bit) or later
    • Processor: Quad-core 2.7Ghz
    • Memory: 4 GB RAM
    • Graphics: OpenGL SM3.0 capable GPU with 1.5GB VRAM. Graphics card that has vendor-made drivers installed.
Customer reviews
High Volume of Reviews Detected:
Exclude  or  View Only
Review Type


Purchase Type


Language


Date Range
To view reviews within a date range, please click and drag a selection on a graph above or click on a specific bar.

Show graph



Display As:
Review Beta NEW!
When enabled, will sort reviews by new Helpfulness score. Read more about it in the blog post.
Show graph
 
Hide graph
 
Filters
Review Helpfulness Beta Enabled
Loading reviews...